https://github.com/Legrandin/pycryptodome/pull/746

From 9d70fbca927516b31ef61fd7cc3ed3e0ebc95fa6 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Thu, 1 Jun 2023 08:03:18 +0100
Subject: [PATCH] Replace deprecated unittest aliases for Python 3.12

See https://docs.python.org/3.12/whatsnew/3.12.html#removed.
--- a/lib/Crypto/SelfTest/PublicKey/test_import_ECC.py
+++ b/lib/Crypto/SelfTest/PublicKey/test_import_ECC.py
@@ -2269,9 +2269,9 @@ def test_import_x509_pem(self):
     def test_import_openssh_public(self):
         key_file = load_file("ecc_ed25519_public_openssh.txt")
         key = ECC._import_openssh_public(key_file)
-        self.failIf(key.has_private())
+        self.assertFalse(key.has_private())
         key = ECC.import_key(key_file)
-        self.failIf(key.has_private())
+        self.assertFalse(key.has_private())
 
     def test_import_openssh_private_clear(self):
         key_file = load_file("ecc_ed25519_private_openssh.pem")
